Bug 645354 - Review Request: django-tracking - Django site visitor tracking, including basic blacklisting
Summary: Review Request: django-tracking - Django site visitor tracking, including bas...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Randy Berry
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-21 11:38 UTC by David Riches
Modified: 2010-12-21 06:10 UTC (History)
4 users (show)

Fixed In Version: django-tracking-0.2.7-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-16 23:17:23 UTC
Type: ---
randyn3lrx: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description David Riches 2010-10-21 11:38:29 UTC
Spec URL: http://dcr226.fedorapeople.org/SPECS/django-tracking.spec
SRPM URL: http://dcr226.fedorapeople.org/SRPMS/django-tracking-0.2.7-1.fc13.src.rpm
Description: django-tracking is a simple attempt at keeping track of visitors to 
Django-powered Web sites.  It also offers basic blacklisting capabilities

Comment 1 David Riches 2010-10-21 11:41:46 UTC
Koji successful build links:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2546526  <- f12
http://koji.fedoraproject.org/koji/taskinfo?taskID=2546528  <- f13
http://koji.fedoraproject.org/koji/taskinfo?taskID=2546524  <- f14
http://koji.fedoraproject.org/koji/taskinfo?taskID=2546530  <- rawhide

rpmlint output (spec)

django-tracking.spec: W: invalid-url Source0: http://django-tracking.googlecode.com/files/django-tracking-0.2.7.zip HTTP Error 404: Not Found
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

(I think this is more to do with rpmlint, as the url works fine in both browser and wget)

rpmlint output (src.rpm)

django-tracking.src: W: invalid-url Source0: http://django-tracking.googlecode.com/files/django-tracking-0.2.7.zip HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint output (rpm)

django-tracking.noarch: W: non-standard-dir-in-usr tracking
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


Also submitted django-dpate : https://bugzilla.redhat.com/show_bug.cgi?id=627180

Comment 2 David Riches 2010-10-21 11:42:20 UTC
typo, s/dpate/dpaste

Comment 3 Randy Berry 2010-10-22 14:16:42 UTC
================================
Key:

[P] Pass
[F] Fail See [n]
[-] Not applicable
[?] Questions (see comments)

================================

[P]  MUST: rpmlint must be run on every package. The output should be
     posted in the review.

     A few items that can be ignored.

     django-tracking.noarch: W: non-standard-dir-in-usr tracking
     django-tracking.src: W: invalid-url Source0: http://django-
     tracking.googlecode.com/files/django-tracking-0.2.7.zip HTTP Error 404:
     Not Found
     2 packages and 0 specfiles checked; 0 errors, 2 warnings.

     As stated above URL is a false positive works fine from browser.
     Probably due to the .zip extension.

[P]  MUST: The package must be named according to the Package Naming
     Guidelines.

[P]  MUST: The spec file name must match the base package %{name},
     in the format %{name}.spec unless your package has an exemption.

[P]  MUST: The package must meet the Packaging Guidelines.

[P]  MUST: The package must be licensed with a Fedora approved
     license and meet the Licensing Guidelines.

     MIT

[P]  MUST: The License field in the package spec file must match
     the actual license.

[P]  MUST: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of
     the license(s) for the package must be included in %doc.

[P]  MUST: The spec file must be written in American English.

[P]  MUST: The spec file for the package MUST be legible.

[P]  MUST: The sources used to build the package must match the upstream
     source, as provided in the spec URL. Reviewers should use md5sum for
     this task. If no upstream URL can be specified for this package,
     please see the Source URL Guidelines for how to deal with this.

     255409fa0063631c1b5c944ef3417156  django-tracking-0.2.7.zip
     255409fa0063631c1b5c944ef3417156  django-tracking-0.2.7.zip2

[P]  MUST: The package MUST successfully compile and build into binary
     rpms on at least one primary architecture.

     NOARCH

[-]  MUST: If the package does not successfully compile, build or work on
     an architecture, then those architectures should be listed in the spec
     in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug
     filed in bugzilla, describing the reason that the package does not
     compile/build/work on that architecture. The bug number MUST be
     placed in a comment, next to the corresponding ExcludeArch line.

[P]  MUST: All build dependencies must be listed in BuildRequires,
     except for any that are listed in the exceptions section of the
     Packaging Guidelines ; inclusion of those as BuildRequires is
     optional. Apply common sense.

[-]  MUST: The spec file MUST handle locales properly. This is done by
     using the %find_lang macro. Using %{_datadir}/locale/[ ] is strictly
     forbidden.

[-]  MUST: Every binary RPM package (or sub package) which stores shared
     library files (not just symlinks) in any of the dynamic linker's
     default paths, must call ldconfig in %post and %postun.

[-]  MUST: If the package is designed to be relocatable, the packager
     must state this fact in the request for review, along with the
     rationalization for relocation of that specific package.
     Without this, use of Prefix: /usr is considered a blocker.

[P]  MUST: A package must own all directories that it creates. If it does not
     create a directory that it uses, then it should require a package which
     does create that directory. Refer to the Guidelines for examples.

[P]  MUST: A package must not contain any duplicate files in the %files
     listing.

[P]  MUST: Permissions on files must be set properly. Executables should
     be set with executable permissions, for example. Every %files section
     must include a %defattr(...) line.

[P]  MUST: The %clean section is not required for F-13 and above. Each package
     for F-12 and below (or EPEL) MUST have a %clean section, which contains
     rm -rf %{buildroot} (or $RPM_BUILD_ROOT).


[P]  MUST: Each package must consistently use macros, as described in the
     macros section of Packaging Guidelines.

[P]  MUST: The package must contain code, or permissible content.
     This is described in detail in the code vs. content section
     of Packaging Guidelines.

[-]  MUST: Large documentation files should go in a -doc sub package.
     (The definition of large is left up to the packager's best judgement,
     but is not restricted to size. Large can refer to either size or quantity)

[P]  MUST: If a package includes something as %doc, it must not affect the
     runtime of the application. To summarize: If it is in %doc, the program
     must run properly if it is not present.

[-]  MUST: Header files must be in a -devel package.

[-]  MUST: Static libraries must be in a -static package.

[-]  MUST: Packages containing pkgconfig(.pc) files must 'Requires:
     pkgconfig' (for directory ownership and usability).

[-]  MUST: If a package contains library files with a suffix
     (e.g. libfoo.so.1.1), then library files that end in .so
     (without suffix) must go in a -devel package.

[-]  MUST: In the vast majority of cases, devel packages must require
     the base package using a fully versioned dependency: Requires:
     %{name} = %{version}-%{release}

[-]  MUST: Packages must NOT contain any .la libtool archives,
     these should be removed in the spec.

[-]  MUST: Packages containing GUI applications must include a
     %{name}.desktop file,and that file must be properly installed
     with desktop-file-install in the %install section. This is described
     in detail in the desktop files section of the Packaging Guidelines.
     If you feel that your packaged GUI application does not need a .desktop
     file, you must put a comment in the spec file with your explanation.

[P]  MUST: Packages must not own files or directories already owned by
     other packages. The rule of thumb here is that the first package
     to be installed should own the files or directories that other packages
     may rely upon. This means, for example, that no package in Fedora should
     ever share ownership with any of the files or directories owned by the
     file system or man package. If you feel that you have a good reason to
     own a file or directory that another package owns, then please present
     that at package review time.

[P]  MUST: At the beginning of %install, each package MUST run
     rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). (For F12, EPEL Only)

[P]  MUST: All file names in rpm packages must be valid UTF-8.

SHOULD Items:

[P]  Should build in mock.
[NOARCH]  Should build on all supported archs
[-]  Should function as described. No way to test
[-]  Should have sane scriptlets.
[-]  Should have sub packages require base package with fully versioned depend.
[P]  Should have dist tag
[P]  Should package latest version
[P]  Check for outstanding bugs on package. (For core merge reviews)

No Issues found.

==APPROVED==

Comment 4 David Riches 2010-10-22 16:24:15 UTC
New Package SCM Request
=======================
Package Name: django-tracking
Short Description: Django site visitor tracking, including basic blacklisting
Owners: dcr226
Branches: f12 f13 f14 rawhide
InitialCC:

Comment 5 Kevin Fenzi 2010-10-25 18:56:13 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2010-11-08 10:24:15 UTC
django-tracking-0.2.7-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/django-tracking-0.2.7-1.fc12

Comment 7 Fedora Update System 2010-11-08 10:24:50 UTC
django-tracking-0.2.7-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/django-tracking-0.2.7-1.fc13

Comment 8 Fedora Update System 2010-11-08 10:25:42 UTC
django-tracking-0.2.7-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/django-tracking-0.2.7-1.fc14

Comment 9 Fedora Update System 2010-11-08 22:37:11 UTC
django-tracking-0.2.7-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update django-tracking'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/django-tracking-0.2.7-1.fc12

Comment 10 Fedora Update System 2010-11-16 23:17:18 UTC
django-tracking-0.2.7-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-11-16 23:19:51 UTC
django-tracking-0.2.7-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-11-16 23:20:49 UTC
django-tracking-0.2.7-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Clint Savage 2010-12-17 17:54:30 UTC
Package Change Request
======================
Package Name: django-tracking
New Branches: el5 el6
Owners: dcr226

Adding this package as its a dependency for fpaste-server which is currently being tested on publictest7.

Comment 14 David Riches 2010-12-19 19:08:24 UTC
Hi Clint,

Thanks for the input. 

Are you happy to co-maintain this for EL5/6?

Regards

Comment 15 Clint Savage 2010-12-19 22:25:55 UTC
Sure.  I can build rpms if needed :)  Feel free to add me as a comaintainer.

Clint

Comment 16 Kevin Fenzi 2010-12-21 06:10:30 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.